/* LibraryCMCLendWithDMC A small test program
 * Copyright 2003 Michael Claudius, Inc. All Rights Reserved.
 * Version 1.0 Last modified 2003.10.19
 * All rights reserved
 */

package LibraryDatabase2007;

import java.sql.*;
import java.io.*;
import java.util.*;
import javax.swing.JOptionPane;

public class LibraryCMCLend  {
    
    public static void main(String args[]) {
        
        String cprNo, name, itemId, title, returnDate;
        
        //Read in check date
        //String checkDate;
        //checkDate = JOptionPane.showInputDialog("State the check date. Today minus 30 days");
        //Better is to calculate using Calendar via CalendarClaculator
        java.sql.Date checkDate = CalendarCalculator.getCheckDate();
        
        try {
            // Establish connection and get resultset of query
            CMC_FindLateLends cmcLend = new CMC_FindLateLends();
            //ResultSet rs1 = cmcLend.findLateLend(checkDate);
            ResultSet rs1 = cmcLend.findLateLend(checkDate);
            
            while (rs1.next()) {
                name = rs1.getString(1);
                itemId = rs1.getString(2);
                title = rs1.getString(3);
                returnDate = rs1.getString(4);
                System.out.println(name+" "+itemId+" "+title+" "+returnDate);
            }
            rs1.close();
            
            cmcLend.closing();
            
        } catch(SQLException ex) {
            System.err.print("SQLException: ");
            System.err.println(ex.getMessage());
        }
    }
}

