
/* LibraryAdm A small test program
 * Copyright 2003 Michael Claudius, Inc. All Rights Reserved.
 * Version 1.5 Last modified 2007.11.01
 * All rights reserved
 */

package LibraryDatabase2007;

import java.sql.*;
import java.io.*;
import java.util.*;

public class LibraryAdm  {
    
    public static void main(String args[]) {
        
        Connection con=null, con1;
        Statement stmt=null, stmt1;
        
        String url = "jdbc:sqlserver://elevsql.unv.rhs.dk:1433;DatabaseName=HotelDatabase2007"; //data source
        String	login = "Michaelc",
                passwd ="Miki1234";
        
// Ass. 2 Establish connection
        // alternative it to use Driver class. But then you must add ClassNotFoundException 
        // in the throws clause in the header of main
        // Driver driver = new com.microsoft.sqlserver.jdbc.SQLServerDriver();
        // DriverManager.registerDriver(driver);
        
        try { Class.forName("com.microsoft.sqlserver.jdbc.SQLServerDriver");
        } catch(java.lang.ClassNotFoundException ex) {
            System.err.print("ClassNotFoundException: ");
            System.err.println(ex.getMessage());
        }
        
        try { System.out.println("Connecting");
        con = DriverManager.getConnection(url, login, passwd);
        stmt  = con.createStatement();
        
        DatabaseMetaData dbMeta = con.getMetaData();
        System.out.println("DB name : " + dbMeta.getDatabaseProductName());
        System.out.println("DB ver  : " + dbMeta.getDatabaseProductVersion());
        System.out.println("driver name : " + dbMeta.getDriverName());
        System.out.println("driver ver  : " + dbMeta.getDriverVersion());
        } catch(SQLException ex) {
            System.err.print("SQLException: ");
            System.err.println(ex.getMessage());
        }
        
        System.out.println("closing");
        try {
            stmt.close();
            if (con != null) con.close();
            
        } catch(SQLException ex) {
            System.err.print("SQLException: ");
            System.err.println(ex.getMessage());
        }
    }
}

