/* DMC_Library Version 1.4
 * Copyright 1999 Michael Claudius, Inc. All Rights Reserved.
 * Last modified 2003.10.19, 2005.11.13, 2007.11.15
 * All rights reserved
 */
package LibraryDatabase2007;
import java.sql.*;

public class DMC_Library {
	private Connection con = null;
	private Statement  stmt = null;
	private String login, passwd, url, driverClass;

//Default constructor
	DMC_Library()
	{	login = "Michaelc";
		passwd = "Miki1234";
		url = "jdbc:sqlserver://elevsql.unv.rhs.dk:1433;DatabaseName=LibraryDatabase2007"; //data source
		driverClass = "com.microsoft.sqlserver.jdbc.SQLServerDriver";
     	}

// Customized constructor
	DMC_Library(String url, String login, String passwd, String driverClass)
	{	this.url = url;
		this.login = login;
		this.passwd = passwd;
		this.driverClass = driverClass;
	}

// Establish connection and statement
	public void connect() {
	try	{
		  Class.forName(driverClass);
		  con = DriverManager.getConnection(url, login,passwd);
		  stmt= con.createStatement();
		}
		catch(java.lang.ClassNotFoundException ex)
			{
			  System.err.print("ClassNotFoundException: ");
			  System.err.println(ex.getMessage());
			}
		catch(SQLException ex)
			{
			  System.err.print("Connection refused: ");
			  System.err.println(ex.getMessage());
			  close();
			}
	}


	public Statement getStatement()
	{ return stmt;}


	public Connection getConnection()
	{ return con;}


// Close connection and statement
	public void close() {
		try
		{	if (stmt != null) stmt.close();
			if (con != null) con.close();
		}
		catch(SQLException ex)
			{ System.err.println(ex.getMessage()); }
	}

}// DMC_Library
