/* LibraryCMCBorrowerSingle A small test program
 * Copyright 2003 Michael Claudius, Inc. All Rights Reserved.
 * Version 1.1 Modified 2003.10.19, 2005.11.15, 2007.11.14
 * All rights reserved
 */

package LibraryDatabase2007;

import java.sql.*;
import java.io.*;
import java.util.*;
import javax.swing.JOptionPane;

public class LibraryCMCBorrowerSingle  {
    
    public static void main(String args[]) {
        
        
        String state;
        Borrower borrower;
        BorrowerCollection borrowers  = new BorrowerCollection();
        
        
// Establish the facade connection
        
        CMC_BorrowerSingleSQL cmc = new CMC_BorrowerSingleSQL();
        
//Ass. 3 inserting values
        
        String cprNo = JOptionPane.showInputDialog("State cprNo of borrower: ");
        String name = JOptionPane.showInputDialog("State name of borrower: ");
        
        String yearStr = JOptionPane.showInputDialog("State year of registration: ");
        int year = Integer.parseInt(yearStr);
        
        Object[] possibleValues = { "Adult", "Child", " "};
        String  bType = (String) JOptionPane.showInputDialog(null, "Choose Borrower Type", "Input",
                JOptionPane.QUESTION_MESSAGE, null, possibleValues, possibleValues[0]);
        borrower = new Borrower(cprNo, name, bType, year);
        
        //cmc.addBorrowerDB(borrower);
        try {
//query and getting the result as a resultset
            System.out.println("querying");
            ResultSet rs = cmc.getAllBorrowersAsResultSet();
            
            System.out.println("CprNo Name BType Year State");
            while (rs.next()) {
                cprNo = rs.getString(1);
                name = rs.getString(2);
                bType = rs.getString(3);
                year = rs.getInt(4);
                state = rs.getString(5);
                
                System.out.println();
                borrower = new Borrower(cprNo, name, bType, year, state);
                borrowers.addBorrower(borrower);
            }
            
            rs.close();  //closes resultset
            
            System.out.println(borrowers.toString());
            
//query and getting the result directly as a borrower collection
            borrowers = cmc.getAllBorrowersAsCollection();
            System.out.println(borrowers.allBorrowersData());
            
            System.out.println("closing");
            //DMC_LibrarySingleton.closing();
            //Close the cmc and thereby the DB connection
            cmc.closing();
            
        } catch(SQLException ex) {
            System.err.print("SQLException: ");
            System.err.println(ex.getMessage());
        }
    }
}

