/* LibraryInsert A small test program for insertation
 * Copyright 2003 Michael Claudius, Inc. All Rights Reserved.
 * Version 1.1 Last modified 2005.10.29, 2006.11.13, 2007.11.11
 * All rights reserved
 */

package LibraryDatabase2007;

import java.sql.*;
import java.io.*;
import java.util.*;

public class LibraryInsert  {
    
    public static void main(String args[]) {
        
        Connection con=null;
        Statement stmt=null;
        
        String url = "jdbc:sqlserver://elevsql.unv.rhs.dk:1433;DatabaseName=LibraryDatabase2007"; //data source
        String	login = "Michaelc",
                passwd ="Miki1234";
        
// Ass. 2 Establish connection
        try { Class.forName("com.microsoft.sqlserver.jdbc.SQLServerDriver");
        } catch(java.lang.ClassNotFoundException ex) {
            System.err.print("ClassNotFoundException: ");
            System.err.println(ex.getMessage());
        }
        
        try {
            System.out.println("Connecting");
            con = DriverManager.getConnection(url, login, passwd);
            stmt  = con.createStatement();
        } catch(SQLException ex) {
            System.err.print("SQLException: ");
            System.err.println(ex.getMessage());
        }
        
        
//Ass. 3 Insert values
        System.out.println("inserting");
        try {
            String line, insertValues;
            java.sql.Date today = CalendarCalculator.getToday();
            System.out.println(today);
            java.sql.Date returnDate = CalendarCalculator.getReturnDate();
            System.out.println(returnDate);
            

            line = "'150571','MC','Adult',1961,'Active'";
            insertValues = "insert into Borrower " +  " values ( " + line + ")";
            stmt.executeUpdate(insertValues);
 
            line = "'1000','Love',2003,'Fairy tale'"; //Note State default Registered is used !!
            insertValues = "insert into Item (itemNo, Title, regYear, itemType)" +  " values ( " + line + ")";
            stmt.executeUpdate(insertValues);
 
 
            line = "'150571','1000','13-Oct-07'";
            insertValues = "insert into Lend " +  " values ( " + line + ")";
            stmt.executeUpdate(insertValues);
 
 
            line = "'150571','1000'," +"\'"+today+"\'";
            insertValues = "insert into Lend (cprNo, itemNo, returnDate)" +  " values ( " + line + ")";
            stmt.executeUpdate(insertValues);
 
            line = "'150571','1000'," +"\'"+returnDate+"\'";
            insertValues = "insert into Lend (cprNo, itemNo, returnDate)" +  " values ( " + line + ")";
            stmt.executeUpdate(insertValues);
   
            System.out.println("closing");
            stmt.close();
            con.close();
            
        } catch(SQLException ex) {
            System.err.print("SQLException: ");
            System.err.println(ex.getMessage());
        }
    }
}

