/* Libra04-nov-05ryAdm1 A small test program
 * Copyright 2003 Michael Claudius, Inc. All Rights Reserved.
 * Version 1.0 Last modified 2006.10.29
 * All rights reserved
 */

package LibraryDatabase2007;

import java.sql.*;
import java.io.*;
import java.util.*;

public class LibraryQuery  {
    
    public static void main(String args[]) {
        
        Connection con=null;
        Statement stmt=null;
        
        String url = "jdbc:sqlserver://elevsql.unv.rhs.dk:1433;DatabaseName=LibraryDatabase2007"; //data source
        String	login = "Michaelc",
                passwd ="Miki1234";
        
/// Question 6  Establish connection
        try { Class.forName("com.microsoft.sqlserver.jdbc.SQLServerDriver");
        } catch(java.lang.ClassNotFoundException ex) {
            System.err.print("ClassNotFoundException: ");
            System.err.println(ex.getMessage());
        }
        
        try {
            System.out.println("Connecting");
            con = DriverManager.getConnection(url, login, passwd);
            stmt  = con.createStatement();
        } catch(SQLException ex) {
            System.err.print("SQLException: ");
            System.err.println(ex.getMessage());
        }
        
//Question 6 B Queryimg
        BorrowerCollection borrowerCol = new BorrowerCollection();
        
            //Prints resultset using collection of borrowers
            System.out.println("Printing directly from resultset \n");
        System.out.println("querying");
        try {
            String showAllValues = "select * from Borrower" ;
            ResultSet rs = stmt.executeQuery(showAllValues);
            String cprNo, name, bType, state, itemNo, title, dateLent;
            int year;
            
            System.out.println("CprNo Name Year bType State");
            while (rs.next()) {
                cprNo = rs.getString(1);
                name = rs.getString(2);
                bType = rs.getString(3);
                year = rs.getInt(4);
                state = rs.getString(5);
                System.out.print(cprNo+" "+name+" "+year+" "+bType+" "+state);
                System.out.println();
                
                Borrower b = new Borrower(cprNo, name, bType, year, state);
                borrowerCol.addBorrower(b);
                
            }
            
            //Prints resultset using collection of borrowers
            System.out.println("Printing from collection of borrowers");
            System.out.println(borrowerCol.allBorrowersData());
            
            
//Question X Find late lends
            System.out.println("State the check date i.e. today's date");
            java.sql.Date checkDate = CalendarCalculator.getToday();
            
            String findLateLend =
                    " select b.name, i.itemNo, i.title, l.returnDate"+
                    " from Borrower b, Item i, Lend l"+
                    " where b.cprNo = l.cprNo and i.itemNo = l.itemNo and"+
                    " l.returnDate < \'"+checkDate +"\'" ;
            
            System.out.println("Name ItemId Title Date of lend");
            rs = stmt.executeQuery(findLateLend);
            
            
            while (rs.next()) {
                name = rs.getString(1);
                itemNo = rs.getString(2);
                title = rs.getString(3);
                dateLent = rs.getString(4);
                
                System.out.println(name+" "+itemNo+" "+title+" "+dateLent);
            }
            rs.close();
            
            System.out.println("closing");
            stmt.close();
            con.close();
            
        } catch(SQLException ex) {
            System.err.print("SQLException: ");
            System.err.println(ex.getMessage() );
        }
    }
}